Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000338Frama-CPlug-in > jessiepublic2009-11-22 18:292014-02-12 16:56
Reporteryegor 
Assigned Tocmarche 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090902 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000338: free() should permit 0 as valid argument
DescriptionJessie seems to want to ensure that free() gets valid pointer as an argument.

But iso9899-c99 permits argument to be null, so it should be permitted by Jessie also.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000608)
cmarche (developer)
2009-12-15 15:44

Fixed in next release Why 2.24
(0000785)
signoles (manager)
2010-04-19 16:14

Fix in Why 2.24 (require Frama-C Boron-20100401).

- Issue History
Date Modified Username Field Change
2009-11-22 18:29 yegor New Issue
2009-12-08 16:35 signoles Status new => assigned
2009-12-08 16:35 signoles Assigned To => cmarche
2009-12-15 15:44 cmarche Note Added: 0000608
2009-12-15 15:44 cmarche Status assigned => resolved
2009-12-15 15:44 cmarche Resolution open => fixed
2010-04-19 16:13 signoles Status resolved => closed
2010-04-19 16:13 signoles Fixed in Version => Frama-C Boron
2010-04-19 16:14 signoles Note Added: 0000785


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker